umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
Import_Rose::RealizationsReader Class Reference
Inheritance diagram for Import_Rose::RealizationsReader:

## Public Member Functions
| RealizationsReader (UMLClassifier *c)
virtual | ~RealizationsReader ()
UMLObject * | createListItem ()
void | setTypeReferences (UMLObject *item, const QString &quid, const QString &type)
void | insertAtParent (const PetalNode *, UMLObject *item)
Public Member Functions inherited from Import_Rose::ClassifierListReader
| ClassifierListReader (const char *attributeTag, const char *elementName, const char *itemTypeDesignator)
| constructor
virtual | ~ClassifierListReader ()
| destructor
void | read (const PetalNode *node, const QString &name)

## Protected Attributes
UMLClassifier * | m_classifier
Protected Attributes inherited from Import_Rose::ClassifierListReader
const QString | m_attributeTag
const QString | m_elementName
const QString | m_itemTypeDesignator

## Constructor & Destructor Documentation

## ◆ RealizationsReader()

Import_Rose::RealizationsReader::RealizationsReader | ( | UMLClassifier * | c | ) |
| inline

## ◆ ~RealizationsReader()

virtual Import_Rose::RealizationsReader::~RealizationsReader | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ createListItem()

UMLObject * Import_Rose::RealizationsReader::createListItem | ( |  | ) |
| inline virtual

Return a UMLClassifierListItem of the specific type desired. Abstract method to be implemented by inheriting classes.

Implements Import_Rose::ClassifierListReader.

## ◆ insertAtParent()

void Import_Rose::RealizationsReader::insertAtParent | ( | const PetalNode * | node,
|  | UMLObject * | o )
| inline virtual

Insert the given UMLClassifierListItem at the parent Umbrello object. Abstract method to be implemented by inheriting classes. NB the parent Umbrello object is not included in the ClassifierListReader class - it must be added at inheriting classes.

Parameters

  node | The PetalNode which corresponds to the parent Umbrello object.
  o | The UMLObject to insert.

Implements Import_Rose::ClassifierListReader.

## ◆ setTypeReferences()

void Import_Rose::RealizationsReader::setTypeReferences | ( | UMLObject * | item,
|  | const QString & | quid,
|  | const QString & | type )
| inline virtual

Override parent implementation: The secondary data is not for the UMLAssociation itself but for its role B object.

Reimplemented from Import_Rose::ClassifierListReader.

## Member Data Documentation

## ◆ m_classifier

UMLClassifier* Import_Rose::RealizationsReader::m_classifier
| protected

The documentation for this class was generated from the following file:

- umbrello/petaltree2uml.cpp